# Apache Yetus 0.6.0 Release Notes

These release notes cover new developer and user-facing incompatibilities, important issues, features, and major improvements.

- YETUS-560 | Major | Fix option name inconsistency: build-url-patchdir vs build-url-artifacts

Test Patch's cli help text now correctly refers to the `--build-url-artifacts` option.

- YETUS-545 | Blocker | Hadoop personality: clean up some OS X & Windows issues

- OS X now uses the brew –prefix option to figure out where Homebrew might be installed for dependencies
- Windows requires hadoop-common's native libraries to always be compiled

- YETUS-510 | Critical | Build Tool report should include version

Build tools that come as a part of Apache Yetus Test Patch now include their version information in the report output in the notes table.

- YETUS-553 | Minor | Add configuration options for junit plugin

The Yetus Test Patch plugin for parsing JUnit results, `junit`, now accepts two cli options:

- `--junit-test-output` location relative to module directory to search for junit results.
- `--junit-test-prefix` package name to strip off of tests

See the cli help via `test-patch --plugin=junit --help` for more information, defaults, etc.

- YETUS-534 | Major | Provide a way to set snappy and isal location in hadoop personality

Personalities for Apache Yetus Test Patch can now accept cli options by defining a `personality_parse_args` function.

The exemplar personality for Apache Hadoop now has options to define an installation prefix for the isal, openssl, and snappy libraries used in its building of native artifacts.